Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_node_s Struct Reference
Nodes

The node structure. More...

`#include <yaml.h>`

## Data Fields
yaml_node_type_t | type
| The node type. More...
yaml_char_t * | tag
| The node tag. More...
union {
struct {
yaml_char_t * value
| The scalar value. More...
size_t length
| The length of the scalar value. More...
yaml_scalar_style_t style
| The scalar style. More...
} scalar
| The scalar parameters (for `YAML_SCALAR_NODE`). More...
struct {
struct {
yaml_node_item_t * start
| The beginning of the stack. More...
yaml_node_item_t * end
| The end of the stack. More...
yaml_node_item_t * top
| The top of the stack. More...
} items
| The stack of sequence items. More...
yaml_sequence_style_t style
| The sequence style. More...
} sequence
| The sequence parameters (for `YAML_SEQUENCE_NODE`). More...
struct {
struct {
yaml_node_pair_t * start
| The beginning of the stack. More...
yaml_node_pair_t * end
| The end of the stack. More...
yaml_node_pair_t * top
| The top of the stack. More...
} pairs
| The stack of mapping pairs (key, value). More...
yaml_mapping_style_t style
| The mapping style. More...
} mapping
| The mapping parameters (for `YAML_MAPPING_NODE`). More...
} | data
| The node data. More...
yaml_mark_t | start_mark
| The beginning of the node. More...
yaml_mark_t | end_mark
| The end of the node. More...

## Detailed Description

The node structure.

Definition at line 717 of file yaml.h.

## Field Documentation

union { ... } yaml_node_s::data

The node data.

Referenced by yaml_document_delete(), yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_mapping(), yaml_emitter_dump_scalar(), yaml_emitter_dump_sequence(), yaml_parser_load_mapping(), and yaml_parser_load_sequence().

yaml_node_item_t* yaml_node_s::end

The end of the stack.

Definition at line 745 of file yaml.h.

yaml_node_pair_t* yaml_node_s::end

The end of the stack.

Definition at line 760 of file yaml.h.

yaml_mark_t yaml_node_s::end_mark

The end of the node.

Definition at line 773 of file yaml.h.

Referenced by yaml_parser_load_mapping(), and yaml_parser_load_sequence().

struct { ... } yaml_node_s::items

The stack of sequence items.

size_t yaml_node_s::length

The length of the scalar value.

Definition at line 733 of file yaml.h.

struct { ... } yaml_node_s::mapping

The mapping parameters (for `YAML_MAPPING_NODE`).

Referenced by yaml_document_delete(), yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_mapping(), and yaml_parser_load_mapping().

struct { ... } yaml_node_s::pairs

The stack of mapping pairs (key, value).

struct { ... } yaml_node_s::scalar

The scalar parameters (for `YAML_SCALAR_NODE`).

Referenced by yaml_document_delete(), yaml_emitter_delete_document_and_anchors(), and yaml_emitter_dump_scalar().

struct { ... } yaml_node_s::sequence

The sequence parameters (for `YAML_SEQUENCE_NODE`).

Referenced by yaml_document_delete(), yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_sequence(), and yaml_parser_load_sequence().

yaml_node_item_t* yaml_node_s::start

The beginning of the stack.

Definition at line 743 of file yaml.h.

Referenced by yaml_document_add_mapping(), yaml_document_add_sequence(), yaml_parser_load_mapping(), and yaml_parser_load_sequence().

yaml_node_pair_t* yaml_node_s::start

The beginning of the stack.

Definition at line 758 of file yaml.h.

yaml_mark_t yaml_node_s::start_mark

The beginning of the node.

Definition at line 771 of file yaml.h.

Referenced by yaml_parser_register_anchor().

yaml_scalar_style_t yaml_node_s::style

The scalar style.

Definition at line 735 of file yaml.h.

yaml_sequence_style_t yaml_node_s::style

The sequence style.

Definition at line 750 of file yaml.h.

yaml_mapping_style_t yaml_node_s::style

The mapping style.

Definition at line 765 of file yaml.h.

yaml_char_t* yaml_node_s::tag

The node tag.

Definition at line 723 of file yaml.h.

Referenced by yaml_document_delete(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_mapping(), yaml_emitter_dump_scalar(), and yaml_emitter_dump_sequence().

yaml_node_item_t* yaml_node_s::top

The top of the stack.

Definition at line 747 of file yaml.h.

yaml_node_pair_t* yaml_node_s::top

The top of the stack.

Definition at line 762 of file yaml.h.

yaml_node_type_t yaml_node_s::type

The node type.

Definition at line 720 of file yaml.h.

Referenced by yaml_document_delete(), yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), and yaml_emitter_dump_node().

yaml_char_t* yaml_node_s::value

The scalar value.

Definition at line 731 of file yaml.h.

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h